# Uses of Class
org.apache.sling.feature.scanner.ArtifactDescriptor

Packages that use ArtifactDescriptor
Package
Description
org.apache.sling.feature.scanner

## Uses of ArtifactDescriptor in org.apache.sling.feature.scanner

Subclasses of ArtifactDescriptor in org.apache.sling.feature.scanner
Modifier and Type
Class
Description
`class`
`BundleDescriptor`
Information about a bundle.
`class`
`ContentPackageDescriptor`
Information about a content package.
Methods in org.apache.sling.feature.scanner with type parameters of type ArtifactDescriptor
Modifier and Type
Method
Description
`<T extends ArtifactDescriptor>
Set<T>`
ContainerDescriptor.`getDescriptors(Class<T> type)`
Return a set of artifact descriptors of the given type
Methods in org.apache.sling.feature.scanner that return types with arguments of type ArtifactDescriptor
Modifier and Type
Method
Description
`final Set<ArtifactDescriptor>`
ContainerDescriptor.`getArtifactDescriptors()`
Return a set of artifact descriptors The requirements and capabilities of the returned artifacts are available as an aggregate from `Descriptor.getCapabilities()`, `Descriptor.getRequirements()`.